from fastapi import APIRouter, Depends
from backend.services.lyrics import LyricsService

router = APIRouter()

def get_lyrics_service():
    return LyricsService()

@router.get("/lyrics")
async def get_lyrics(id: str, title: str = None, artist: str = None, ls: LyricsService = Depends(get_lyrics_service)):
    return await ls.get_lyrics(id, title, artist)
